summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/puppetdb-termini/Manifest1
-rw-r--r--dev-ruby/puppetdb-termini/puppetdb-termini-7.12.1.ebuild28
-rw-r--r--dev-ruby/racc/Manifest1
-rw-r--r--dev-ruby/racc/racc-1.7.0.ebuild61
4 files changed, 62 insertions, 29 deletions
diff --git a/dev-ruby/puppetdb-termini/Manifest b/dev-ruby/puppetdb-termini/Manifest
index 139ce6d4210a..30ad63dfc136 100644
--- a/dev-ruby/puppetdb-termini/Manifest
+++ b/dev-ruby/puppetdb-termini/Manifest
@@ -1,3 +1,2 @@
-DIST puppetdb-termini_7.12.1-1bullseye_all.deb 22644 BLAKE2B 16c62aafca8ea2a1f04e6e3708bd1354262dcfdc2afd085e4ef2c949409e4ed9a21fb965b9b67099024d9027b996bdbbc3bf16bbdf92f6cfa6e8d0b4b7c60c90 SHA512 4fd214c02e71a038ba52b2cc2ad33172ab5a13739e831fa1f53fbba45b7f19644104fe06cd12c796eb81556dcf9c5221cd9341d55a4b803c5d005f1da4deca46
DIST puppetdb-termini_7.13.0-1bullseye_all.deb 22548 BLAKE2B 535a3f846a7a10dcfaec4447ae852c6c4d870a573169f84e31f61c361164caea989f911df2d18e183c391dd0130a10b9422057eecaab304bebbb022f78e22a21 SHA512 3c8e440bfc55579d0c9a03ecae516d4cef49512ad9fdd6fceef37618c163ecac6d77a2b17b6cbb7131ceb3787904486bb78eef84a36a5f76672918db6d30db86
DIST puppetdb-termini_8.0.0-1focal_all.deb 21796 BLAKE2B 6065bf41cf173e36ecf3b5d8bb64d92e62e2f6b2ed1d203e294768f1af0bbd735906b57c762df512fed23582d4b67b7abc45b39831e4398a8fadf068b77c5ad8 SHA512 6a8e3423894ca45847e91dc444cb4910f5d8bae194a413054a305ec21fad9ae52fb26324755f633b5df7c2be38c77ef7549b2fc4cb2894530314dd3f32900447
diff --git a/dev-ruby/puppetdb-termini/puppetdb-termini-7.12.1.ebuild b/dev-ruby/puppetdb-termini/puppetdb-termini-7.12.1.ebuild
deleted file mode 100644
index a2b827c8e1b2..000000000000
--- a/dev-ruby/puppetdb-termini/puppetdb-termini-7.12.1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-inherit unpacker
-
-DESCRIPTION="Library needed to connect puppet to puppetdb"
-HOMEPAGE="https://puppet.com/docs/puppetdb/latest/index.html"
-SRC_URI="http://apt.puppetlabs.com/pool/bullseye/puppet/${PN:0:1}/${PN}/${PN}_${PV}-1bullseye_all.deb"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE=""
-# will need the same keywords as puppet
-KEYWORDS="amd64 ~arm64 ~ppc x86"
-
-RDEPEND+=""
-DEPEND+=""
-
-S=${WORKDIR}
-
-src_install() {
- insinto opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/
- doins -r opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/*
-}
diff --git a/dev-ruby/racc/Manifest b/dev-ruby/racc/Manifest
index bd09f0c6070b..966d0c74a819 100644
--- a/dev-ruby/racc/Manifest
+++ b/dev-ruby/racc/Manifest
@@ -1 +1,2 @@
DIST racc-1.6.2.tar.gz 470740 BLAKE2B c21e01cd7a11573774218ba97de3f58ebdbc4b138def4dfb2620b626d68e71a72f66a7e7f7644707942d4ec5f387b848aa00aa1d7dd81fc98f50b1c23ce118cb SHA512 ef577d0da440361702d15cf2127142e57d5af4146f120cd9d94ee8c8b4380810c8913c373a9969f09b50e0850a8ac04ffd22729c4abdab0670765c7379b549f6
+DIST racc-1.7.0.tar.gz 472347 BLAKE2B 329761dcdde47180e15f0ceea09b071c2387569364690ff4dc76631c4f3a5c8d8e5482fdc9a451c9c521fb902007c0974d6596287e73f5e9bf8b51f59a31e09d SHA512 8a198a73132f8a97468aaf2078d493899473cefd67cb8065e2d3f35730577e98cd19682e6d4b0f8a2347c77edfb9acfc5649a527c6361a47ae836c3ec2d01085
diff --git a/dev-ruby/racc/racc-1.7.0.ebuild b/dev-ruby/racc/racc-1.7.0.ebuild
new file mode 100644
index 000000000000..a537eab8aa9f
--- /dev/null
+++ b/dev-ruby/racc/racc-1.7.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc README.ja.rdoc TODO ChangeLog"
+
+RUBY_FAKEGEM_GEMSPEC="racc.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/racc/cparse/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/racc/cparse"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A LALR(1) parser generator for Ruby"
+HOMEPAGE="https://github.com/tenderlove/racc"
+SRC_URI="https://github.com/tenderlove/racc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "virtual/ruby-ssl"
+
+ruby_add_bdepend "dev-ruby/rake
+ test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i -e 's/, :isolate//' Rakefile || die
+ sed -i -e '/bundler/ s:^:#:' -e '/rdoc/,/^end/ s:^:#:' Rakefile || die
+
+ # Avoid depending on rake-compiler since we don't use it to compile
+ # the extension.
+ sed -i -e '/rake-compiler/ s:^:#:' -e '/extensiontask/ s:^:#:' Rakefile || die
+ sed -i -e '/ExtensionTask/,/^ end/ s:^:#:' Rakefile || die
+
+ # ...which means we need to generate the parser file here
+ for ruby in $(ruby_get_use_implementations) ; do
+ if has_version -b "virtual/rubygems[ruby_targets_${ruby}(-)]" &&
+ has_version -b "dev-ruby/rake[ruby_targets_${ruby}(-)]" ; then
+ ${ruby} -S rake lib/racc/parser-text.rb || die
+ break
+ fi
+ done
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r doc
+
+ docinto examples
+ dodoc -r sample
+}